org.apache.datasketches.quantilescommon

## Class FloatsSortedViewIterator

- java.lang.Object
- - org.apache.datasketches.quantilescommon.SortedViewIterator
  - - org.apache.datasketches.quantilescommon.FloatsSortedViewIterator

    public final class FloatsSortedViewIterator
    extends SortedViewIterator

Iterator over quantile sketches of primitive type float.

### Field Summary

### Fields inherited from class org.apache.datasketches.quantilescommon.SortedViewIterator

`cumWeights, index, totalN`

### Constructor Summary

Constructors
Constructor and Description
`FloatsSortedViewIterator(float[] quantiles, long[] cumWeights)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`float` `getQuantile()` Gets the quantile at the current index.

### Methods inherited from class org.apache.datasketches.quantilescommon.SortedViewIterator

`getN, getNaturalRank, getNaturalRank, getNormalizedRank, getNormalizedRank, getWeight, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatsSortedViewIterator

    public FloatsSortedViewIterator(float[] quantiles,
                                    long[] cumWeights)

Constructor.

Parameters:
  `quantiles` - the given array of quantiles, which must be ordered.
  `cumWeights` - the given array of cumulative weights, which must be ordered, start with the value one, and the last value must be equal to N, the total number of items updated to the sketch.

### Method Detail

#### getQuantile

    public float getQuantile()

Gets the quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Returns:
  the quantile at the current index.